Page MenuHomePhabricator

Focus not in main snak value after selecting a property with mouse
Closed, ResolvedPublic

Description

  1. I am entering a new statement, starting with selecting a property.
  1. I choose a property with mouse click
  1. focus is not in the main snak value field

Event Timeline

aude created this task.Mar 25 2015, 10:03 AM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2015, 10:03 AM
aude added a comment.Mar 25 2015, 10:05 AM

if i select a property with down arrow and then enter, focus also does not move to the value field

aude added a comment.Mar 25 2015, 10:07 AM

on master, on my dev wiki, focus goes to the "add qualifier" link after I select a property. I am not sure this happens on wikidata.

Change 199910 had a related patch set uploaded (by Aude):
Set _focusToValueView on entityselectorselected event in snakview

https://gerrit.wikimedia.org/r/199910

aude set Security to None.
aude moved this task from Backlog to Review on the § Wikidata-Sprint-2015-03-24 board.
Lydia_Pintscher triaged this task as Normal priority.Mar 30 2015, 9:46 AM

Change 199910 merged by jenkins-bot:
Fix focus on value field on property select

https://gerrit.wikimedia.org/r/199910

daniel closed this task as Resolved.Mar 30 2015, 1:42 PM
daniel claimed this task.
daniel added a subscriber: daniel.

merged

aude claimed this task.Mar 30 2015, 1:43 PM

Change 200640 had a related patch set uploaded (by Aude):
Fix focus on value field on property select

https://gerrit.wikimedia.org/r/200640

Change 200640 merged by jenkins-bot:
Fix focus on value field on property select

https://gerrit.wikimedia.org/r/200640